#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    float p, q, r;
    long long L, R, m=0;
    cin >> p >> q >> r >> L >> R;
    for(int i=L;i<=R;i++){
        if(i>=(ceil(i/p)+ceil(i/q)+ceil(i/r)))
            m++;}
    cout << m;
    return 0;
}